<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddVoiceMailProfileReq StructType
 * @subpackage Structs
 */
class AddVoiceMailProfileReq extends APIRequest
{
    /**
     * The voiceMailProfile
     * @var XVoiceMailProfile
     */
    public $voiceMailProfile;
    /**
     * Constructor method for AddVoiceMailProfileReq
     * @uses AddVoiceMailProfileReq::setVoiceMailProfile()
     * @param XVoiceMailProfile $voiceMailProfile
     */
    public function __construct(XVoiceMailProfile $voiceMailProfile = null)
    {
        $this
            ->setVoiceMailProfile($voiceMailProfile);
    }
    /**
     * Get voiceMailProfile value
     * @return XVoiceMailProfile|null
     */
    public function getVoiceMailProfile()
    {
        return $this->voiceMailProfile;
    }
    /**
     * Set voiceMailProfile value
     * @param XVoiceMailProfile $voiceMailProfile
     * @return AddVoiceMailProfileReq
     */
    public function setVoiceMailProfile(XVoiceMailProfile $voiceMailProfile = null)
    {
        $this->voiceMailProfile = $voiceMailProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddVoiceMailProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
